手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

比特币Core惊现拒绝服务漏洞,可能会导致比特币Core节点崩溃

运行版本0.14.0到0.16.2的节点很容易受到攻击

[日期:2018-09-20] 来源:Linux公社  作者:醉落红尘 [字体: ]

Bitcoin Core项目发布了Bitcoin Core 0.16.3,这是一个旨在修复严重拒绝服务漏洞的更新,该漏洞允许比特币网络上的任何矿工通过重复输入来降低易受攻击的比特币节点。

虽然这个bug本身并没有影响比特币协议,但它确实影响了使用Bitcoin Core节点软件构建的所有加密货币,该软件旨在提供比特币钱包,彻底验证付款。

正如Bitcoin Core开发人员发布的发行说明所述,所有节点都需要通过关闭它们并使用特定于平台的过程重新安装来升级到新版本。

在安全漏洞数据库中分配为CVE-2018-17144的拒绝服务(DoS)漏洞将允许攻击者(在本例中为网络中的任何矿工)导致远程拒绝服务,从而导致任何易受攻击的节点崩溃并断开网络。

此外,当节点试图验证包含试图花费相同数量的硬币两次的交易的块时,会发生这种情况。

愿意损失8万美元的攻击者可能会打倒部分比特币网络

幸运的是,恶意无效区块只能由能够产生足够的工作证明(PoW)块的矿工创建,并且还愿意失去所产生的收入(至少80,000美元或12.5 XBT)。

准备丢失这笔钱的节点攻击者将能够破坏在节点上运行的bitcoind程序(或其基于GUI的对应物Bitcoin-Qt),并且旨在实现用于RPC(远程过程调用)的比特币协议。

如果Bitcoin Core开发人员不会如此快速地发布补丁版本并分发它,那么本来准备亏本以降低部分网络(或至少是其中的一小部分)的攻击者可能会成功向所有节点所有者进行快速修补。

这不是第一个影响比特币网络的严重漏洞,所有这些漏洞都有详细描述,可在bitcoin.it的常见漏洞和曝光页面上找到。

Linux公社的RSS地址:https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2018-09/154233.htm

linux
相关资讯       特币Core节点  特币Core 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款